Enable / Disable Stream
Update status of stream
curl -X POST "https://api.5centscdn.com/v2/streams/publish/1001/status" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"disabled": 0
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/publish/1001/status"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"disabled": 0
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/publish/1001/status", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"disabled": 0
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"disabled": 0
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/publish/1001/status", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/publish/1001/status')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"disabled": 0
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": {
"monitoring_id": null,
"type": "publish",
"id": 54220,
"serviceid": 103,
"name": "testalthaf2/testpublish2",
"codec": "h264",
"ingests": [
[
"RTMP"
],
[
"RTMP"
]
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": null,
"server": "11,211",
"backup": "",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "0",
"monitoring_triggers": null,
"draft": "0",
"disabled": "1",
"created_at": "2026-01-01 00:00:00",
"updated_at": "2026-05-06 06:33:08",
"lastseen_at": false,
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Deploying",
"has": {
"rtmp": 1,
"rtsp": 0,
"hls": 0,
"dash": 0,
"rtmpauth": true
},
"fms": {
"server": {
"country": "North America",
"meta": {
"fmsUrl": "rtmp://fms-01-01.5centscdn.com"
}
}
},
"parts": {
"pp": "testalthaf2",
"sn": "testpublish2",
"full": "testalthaf2testpublish2"
},
"restream": {},
"platformsCount": 7,
"ssl_enabled": true,
"hash": "8afd74abdfae5ccf1fe6251bbc9cd0ed.sdp",
"publish": {
"id": 54220,
"type": "push",
"mode": "hls",
"urls": "",
"audiofix": "N"
},
"ipaccess": {
"enabled": "Y",
"policy": "Y",
"list": "123.2.2.2,111.2.3.4",
"ips": "",
"active": "Y"
},
"useragent": {
"enabled": "Y",
"policy": "Y",
"list": "test",
"ips": "",
"casesensitive": "N",
"active": "Y",
"listArr": [
"test"
]
},
"rtmpauth": {
"password": "",
"active": "N"
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"platforms": [
{
"id": 46674,
"rtmp": "",
"auth": "N",
"username": "",
"password": "",
"isSRT": false,
"key": "",
"schedule": "instant",
"scheduletime": "",
"codec": null,
"length": "00:00",
"relid": 54220,
"dedicatedLTC": "0",
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"disabled": 1,
"name": "YouTube - 1",
"platform_id": 1,
"provider_id": 2,
"video_id": ""
}
],
"messages": {
"warning": [
"Stream is disabled.<a href='#enableModal' class='modal-trigger' style='margin-left: 25px;'>Click here to Enable Stream</a>"
]
},
"adInsertion": null
}
}
POST
/streams/publish/{streamid}/statusPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
disabledinteger
Set to 1 to disable the stream, 0 to enable it.
Options: 0, 1
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
Responses
resultstring
Status of the API response.
messagestring
Human-readable message describing the result.
streamobject
Stream object containing configuration and status details.
Was this page helpful?